Sybase Functions
sybase_close
Sybase Functions
PHP Manual

# sybase_affected_rows

(PHP 4, PHP 5)

sybase_affected_rows — Gets number of affected rows in last query

### Description

int sybase_affected_rows ([ resource `$link_identifier` ] )

sybase_affected_rows() returns the number of rows affected by the last INSERT, UPDATE or DELETE query on the server associated with the specified link identifier.

This command is not effective for SELECT statements, only on statements which modify records. To retrieve the number of rows returned from a SELECT, use sybase_num_rows().

### Parameters

`link_identifier`

  If the link identifier isn't specified, the last opened link is assumed.

### Return Values

Returns the number of affected rows, as an integer.

### Examples

Example #1 Delete-Query

`<?php
/* connect to database */
sybase_connect('SYBASE', '', '') or
die("Could not connect");
sybase_select_db("db");
sybase_query("DELETE FROM sometable WHERE id < 10");
printf("Records deleted: %d\n", sybase_affected_rows());
?>`

The above example will output:

    Records deleted: 10

### See Also

- sybase_num_rows()

Sybase Functions
sybase_close
Sybase Functions
PHP Manual